Class | UserActionObserver
In: | app/models/user_action_observer.rb
Parent: | ActiveRecord::Observer

Observer para poder hacer seguimiento de quién es el creador y último modificador de los diferentes recursos

### Methods

before_create before_save

### Public Instance methods

before_create(model)

[Source]

        # File app/models/user_action_observer.rb, line 13
    13:   def before_create(model)
    14:     model.created_by = @@current_user if model.respond_to?("created_by")
    15:   end

before_save(model)

[Source]

        # File app/models/user_action_observer.rb, line 9
     9:   def before_save(model)
    10:     model.updated_by = @@current_user if model.respond_to?("updated_by")
    11:   end

[Validate]